cascading.flow.planner

## Class BaseFlowStepFactory<Config>

- java.lang.Object
- - cascading.flow.planner.BaseFlowStepFactory<Config>

All Implemented Interfaces:
  FlowStepFactory<Config>

    public abstract class BaseFlowStepFactory<Config>
    extends java.lang.Object
    implements FlowStepFactory<Config>

### Constructor Summary

Constructors
`protected` `BaseFlowStepFactory()`
`` `BaseFlowStepFactory(FlowNodeFactory flowNodeFactory)`

### Method Summary

Methods
`FlowNodeFactory` `getFlowNodeFactory()`
`java.lang.String` `makeFlowStepName(FlowStep flowStep, int numSteps, int stepNum)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface cascading.flow.planner.process.FlowStepFactory

`createFlowStep`

### Constructor Detail

#### BaseFlowStepFactory

    protected BaseFlowStepFactory()

#### BaseFlowStepFactory

    public BaseFlowStepFactory(FlowNodeFactory flowNodeFactory)

### Method Detail

#### makeFlowStepName

    public java.lang.String makeFlowStepName(FlowStep flowStep,
                                    int numSteps,
                                    int stepNum)

Specified by:
  `makeFlowStepName` in interface `FlowStepFactory<Config>`

#### getFlowNodeFactory

    public FlowNodeFactory getFlowNodeFactory()

Specified by:
  `getFlowNodeFactory` in interface `FlowStepFactory<Config>`